<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: UIImage(KOExtension)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_image_07_k_o_extension_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#pub-static-methods">类方法</a> &#124;
<a href="category_u_i_image_07_k_o_extension_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIImage(KOExtension)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_image_09_k_o_extension_8h_source.html">UIImage+KOExtension.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a09c6aa85933736dab4bc5a398e06eddf"><td class="memItemLeft" align="right" valign="top">(UIImage *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_k_o_extension_08.html#a09c6aa85933736dab4bc5a398e06eddf">compressImageWithPixelSize:</a></td></tr>
<tr class="memdesc:a09c6aa85933736dab4bc5a398e06eddf"><td class="mdescLeft">&#160;</td><td class="mdescRight">等比压缩图片（按像素）  <a href="category_u_i_image_07_k_o_extension_08.html#a09c6aa85933736dab4bc5a398e06eddf">更多...</a><br /></td></tr>
<tr class="separator:a09c6aa85933736dab4bc5a398e06eddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a486332d7fd239764da4be8f6bb8a2d19"><td class="memItemLeft" align="right" valign="top">(UIImage *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_k_o_extension_08.html#a486332d7fd239764da4be8f6bb8a2d19">cropByWidthHeightRate:</a></td></tr>
<tr class="separator:a486332d7fd239764da4be8f6bb8a2d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:afa4a20aa55aef0f83703bd88491a94be"><td class="memItemLeft" align="right" valign="top">(UIImage *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_k_o_extension_08.html#afa4a20aa55aef0f83703bd88491a94be">getImageFromColor:</a></td></tr>
<tr class="separator:afa4a20aa55aef0f83703bd88491a94be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa45ac2f8c4430f13935e2c24d41bdf8b"><td class="memItemLeft" align="right" valign="top">(UIImage *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_k_o_extension_08.html#aa45ac2f8c4430f13935e2c24d41bdf8b">imageWithStartColor:endColor:size:</a></td></tr>
<tr class="memdesc:aa45ac2f8c4430f13935e2c24d41bdf8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">创建颜色渐变的图片  <a href="category_u_i_image_07_k_o_extension_08.html#aa45ac2f8c4430f13935e2c24d41bdf8b">更多...</a><br /></td></tr>
<tr class="separator:aa45ac2f8c4430f13935e2c24d41bdf8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f623e132bde45061d83edbdd94fdb9"><td class="memItemLeft" align="right" valign="top">(UIImage *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_k_o_extension_08.html#a19f623e132bde45061d83edbdd94fdb9">resizableImageWithColor:cornerRadius:</a></td></tr>
<tr class="separator:a19f623e132bde45061d83edbdd94fdb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_u_i_image_09_k_o_extension_8h_source.html">UIImage+KOExtension.h</a> 第 <a class="el" href="_u_i_image_09_k_o_extension_8h_source.html#l00011">11</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a09c6aa85933736dab4bc5a398e06eddf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09c6aa85933736dab4bc5a398e06eddf">&#9670;&nbsp;</a></span>compressImageWithPixelSize:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImage *) compressImageWithPixelSize: </td>
          <td></td>
          <td class="paramtype">(CGSize)&#160;</td>
          <td class="paramname"><em>pixelSize</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>等比压缩图片（按像素） </p>

<p class="definition">在文件 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html">UIImage+KOExtension.m</a> 第 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a486332d7fd239764da4be8f6bb8a2d19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a486332d7fd239764da4be8f6bb8a2d19">&#9670;&nbsp;</a></span>cropByWidthHeightRate:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImage *) cropByWidthHeightRate: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>rate</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html">UIImage+KOExtension.m</a> 第 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="afa4a20aa55aef0f83703bd88491a94be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa4a20aa55aef0f83703bd88491a94be">&#9670;&nbsp;</a></span>getImageFromColor:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (UIImage *) getImageFromColor: </td>
          <td></td>
          <td class="paramtype">(UIColor *)&#160;</td>
          <td class="paramname"><em>color</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html">UIImage+KOExtension.m</a> 第 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="aa45ac2f8c4430f13935e2c24d41bdf8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa45ac2f8c4430f13935e2c24d41bdf8b">&#9670;&nbsp;</a></span>imageWithStartColor:endColor:size:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (UIImage *) imageWithStartColor: </td>
          <td></td>
          <td class="paramtype">(UIColor *)&#160;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">endColor:</td>
          <td></td>
          <td class="paramtype">(UIColor *)&#160;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">size:</td>
          <td></td>
          <td class="paramtype">(CGSize)&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>创建颜色渐变的图片 </p>

<p class="definition">在文件 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html">UIImage+KOExtension.m</a> 第 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a19f623e132bde45061d83edbdd94fdb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19f623e132bde45061d83edbdd94fdb9">&#9670;&nbsp;</a></span>resizableImageWithColor:cornerRadius:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (UIImage *) resizableImageWithColor: </td>
          <td></td>
          <td class="paramtype">(UIColor *)&#160;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">cornerRadius:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>radius</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html">UIImage+KOExtension.m</a> 第 <a class="el" href="_u_i_image_09_k_o_extension_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/Category/<a class="el" href="_u_i_image_09_k_o_extension_8h_source.html">UIImage+KOExtension.h</a></li>
<li>XHXKit/Classes/General/Category/<a class="el" href="_u_i_image_09_k_o_extension_8m_source.html">UIImage+KOExtension.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_image_07_k_o_extension_08.html">UIImage(KOExtension)</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
